org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectWhere

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectLock, SelectBuilder.SelectOrdered

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectWhere
    extends SelectBuilder.SelectOrdered, SelectBuilder.SelectLock, SelectBuilder.BuildSelect

Interface exposing `WHERE`, `LOCK` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectWhereAndOr` `where(Condition condition)` Apply a `WHERE` clause.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectOrdered

`orderBy, orderBy, orderBy`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectLock

`lock`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### where

    SelectBuilder.SelectWhereAndOr where(Condition condition)

Apply a `WHERE` clause.

Parameters:
  `condition` - the `WHERE` condition.
Returns:
  `this` builder.
See Also:
  `Where`, `Condition`